# Billing Documents Billing documents include invoices, credit memos, and debit memos. **Note**: Credit memos and debit memos are only available if you have the Invoice Settlement feature enabled. ## List billing documents for an account - [GET /v1/billing-documents](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocuments.md): Retrieves the information about all billing documents associated with a specified account. The billing documents contain invoices, credit memos, and debit memos. To retrieve information about credit memos and debit memos, you must have the Invoice Settlement feature enabled. You can use query parameters to restrict the data returned in the response. Examples: - /billing-documents?accountId=4028905f5e4feb38015e50af9aa002d1&sort=+documentDate - /billing-documents?accountId=4028905f5e4feb38015e50af9aa002d1&status=Posted - /billing-documents?accountNumber=A00000001&sort=+documentDate - /billing-documents?accountNumber=A00000001&status=Posted ## Create a job to hard delete billing document files - [POST /v1/accounts/billing-documents/files/deletion-jobs](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_billingdocumentfilesdeletionjob.md): Creates an asynchronous job to permanently delete all billing document PDF files for specific accounts. After the deletion job is completed, all billing document PDF files are permanently deleted. To retrieve the status of a deletion job, call Retrieve a job of hard deleting billing document files. Note: This operation can be used only if you have the Billing user permission "Hard Delete Billing Document Files" enabled. ## Retrieve a job of hard deleting billing document files - [GET /v1/accounts/billing-documents/files/deletion-jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocumentfilesdeletionjob.md): Retrieves information about an asynchronous job of permanently deleting all billing document PDF files for specific accounts. Note: This operation can be used only if you have the Billing user permission "Hard Delete Billing Document Files" enabled. ## Generate billing documents by account ID - [POST /v1/accounts/{key}/billing-documents/generate](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_generatebillingdocuments.md): Generates draft or posted billing documents for a specified account. You can also generate billing documents for specified subscriptions of a specified account. The billing documents contain invoices and credit memos. To generate credit memos, you must have the Invoice Settlement feature enabled. Note: You cannot generate billing documents for cancelled or suspended subscriptions.